Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jsystems.framework.common.action.dnd
Class DragSourceAction

    java.lang.Object
      de.jsystems.framework.common.action.AbstractAction
          de.jsystems.framework.common.action.dnd.DragSourceAction

All Implemented Interfaces:
  DragSourceListener, EventListener

public class DragSourceAction
extends AbstractAction
implements DragSourceListener

Actionimplementierung fuer DragSourceDragEvent, DragSourceEvent und DragSourceDropEvent.

Version:
  1.0
  Copyright by Jens Homm 2001 - 2004
Author:
  Jens Homm JSYSTEMS

Constructor Summary
`DragSourceAction()`

Method Summary
`void` | `doDragDropEnd(DragSourceDropEvent dsde)` Abgeleitete Klassen müssen diese Methode ueberschreiben.
`void` | `doDragEnter(DragSourceDragEvent dsde)` Abgeleitete Klassen müssen diese Methode ueberschreiben.
`void` | `doDragExit(DragSourceEvent dse)` Abgeleitete Klassen müssen diese Methode ueberschreiben.
`void` | `doDragOver(DragSourceDragEvent dsde)` Abgeleitete Klassen müssen diese Methode ueberschreiben.
`void` | `doDropActionChanged(DragSourceDragEvent dsde)` Abgeleitete Klassen müssen diese Methode ueberschreiben.
`void` | `dragDropEnd(DragSourceDropEvent dsde)`
`void` | `dragEnter(DragSourceDragEvent dsde)`
`void` | `dragExit(DragSourceEvent dse)`
`void` | `dragOver(DragSourceDragEvent dsde)`
`void` | `dropActionChanged(DragSourceDragEvent dsde)`

Methods inherited from class de.jsystems.framework.common.action.AbstractAction
`addControl, disable, enable, exceptionInAction, getController, getControls, getException, getView, hasException, initialize, isEnabled, removeAll, removeControl, setException`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DragSourceAction

    public DragSourceAction()

Method Detail

### dragEnter

    public void dragEnter(DragSourceDragEvent dsde)

  Specified by:
    `dragEnter` in interface `DragSourceListener`

### doDragEnter

    public void doDragEnter(DragSourceDragEvent dsde)
                     throws Exception

  Abgeleitete Klassen müssen diese Methode ueberschreiben. Hierin passiert die eigentliche Aktion der Action.

  Parameters:
    `dsde` - Das Eventobjekt mit dem ausgeloesten Event.
  Throws:
    `Exception` - wenn beim ausfuehren der Methode ein Fehler auftritt.

### dragOver

    public void dragOver(DragSourceDragEvent dsde)

  Specified by:
    `dragOver` in interface `DragSourceListener`

### doDragOver

    public void doDragOver(DragSourceDragEvent dsde)
                    throws Exception

  Abgeleitete Klassen müssen diese Methode ueberschreiben. Hierin passiert die eigentliche Aktion der Action.

  Parameters:
    `dsde` - Das Eventobjekt mit dem ausgeloesten Event.
  Throws:
    `Exception` - wenn beim ausfuehren der Methode ein Fehler auftritt.

### dropActionChanged

    public void dropActionChanged(DragSourceDragEvent dsde)

  Specified by:
    `dropActionChanged` in interface `DragSourceListener`

### doDropActionChanged

    public void doDropActionChanged(DragSourceDragEvent dsde)
                             throws Exception

  Abgeleitete Klassen müssen diese Methode ueberschreiben. Hierin passiert die eigentliche Aktion der Action.

  Parameters:
    `dsde` - Das Eventobjekt mit dem ausgeloesten Event.
  Throws:
    `Exception` - wenn beim ausfuehren der Methode ein Fehler auftritt.

### dragExit

    public void dragExit(DragSourceEvent dse)

  Specified by:
    `dragExit` in interface `DragSourceListener`

### doDragExit

    public void doDragExit(DragSourceEvent dse)
                    throws Exception

  Abgeleitete Klassen müssen diese Methode ueberschreiben. Hierin passiert die eigentliche Aktion der Action.

  Parameters:
    `dse` - Das Eventobjekt mit dem ausgeloesten Event.
  Throws:
    `Exception` - wenn beim ausfuehren der Methode ein Fehler auftritt.

### dragDropEnd

    public void dragDropEnd(DragSourceDropEvent dsde)

  Specified by:
    `dragDropEnd` in interface `DragSourceListener`

### doDragDropEnd

    public void doDragDropEnd(DragSourceDropEvent dsde)
                       throws Exception

  Abgeleitete Klassen müssen diese Methode ueberschreiben. Hierin passiert die eigentliche Aktion der Action.

  Parameters:
    `dsde` - Das Eventobjekt mit dem ausgeloesten Event.
  Throws:
    `Exception` - wenn beim ausfuehren der Methode ein Fehler auftritt.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD